﻿@model BeerViewModel

@{
    Layout = "_Layout";
    ViewData["Breweries"] = "breweries";
    ViewData["Styles"] = "styles";
}
<body>

<h4>Beer</h4> 
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Brand" class="control-label"></label>
                <input asp-for="Brand" class="form-control" />
                <span asp-validation-for="Brand" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ABV" class="control-label"></label>
                <input asp-for="ABV" class="form-control" />
                <span asp-validation-for="ABV" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="StyleId" class="control-label">Style</label>
                <select asp-for="StyleId" class ="form-control" asp-items="@ViewBag.StyleId"></select>
            </div>
            <div class="form-group">
                <label asp-for="BreweryId" class="control-label">Brewery</label>
                <select asp-for="BreweryId" class ="form-control" asp-items="@ViewBag.BreweryId"></select>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
</body>
